Package org.opensaml.xmlsec.encryption.impl

# Class DerivedKeyImpl

java.lang.Object
org.opensaml.core.xml.AbstractXMLObject
org.opensaml.xmlsec.encryption.impl.DerivedKeyImpl

All Implemented Interfaces:
  `XMLObject`, `DerivedKey`

public class DerivedKeyImpl extends AbstractXMLObject implements DerivedKey
Concrete implementation of `DerivedKey`.

## Field Summary

Fields
Modifier and Type
Field
Description
`private DerivedKeyName`
`derivedKeyName`
DerivedKeyName child element.
`private String`
`id`
Id attribute.
`private KeyDerivationMethod`
`keyDerivationMethod`
KeyDerivationMethod child element.
`private MasterKeyName`
`masterKeyName`
MasterKeyName child element.
`private String`
`recipient`
Recipient attribute.
`private ReferenceList`
`referenceList`
ReferenceList child element.
`private String`
`type`
Type attribute.

### Fields inherited from interface org.opensaml.xmlsec.encryption.DerivedKey

`DEFAULT_ELEMENT_LOCAL_NAME, DEFAULT_ELEMENT_NAME, ID_ATTRIBUTE_NAME, RECIPIENT_ATTRIBUTE_NAME, TYPE_ATTRIBUTE_NAME, TYPE_LOCAL_NAME, TYPE_NAME`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`DerivedKeyImpl(String namespaceURI, String elementLocalName, String namespacePrefix)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`DerivedKeyName`
`getDerivedKeyName()`
Get the DerivedKeyName child element.
`String`
`getId()`
Gets the Id attribute.
`KeyDerivationMethod`
`getKeyDerivationMethod()`
Get the KeyDerivationMethod child element.
`MasterKeyName`
`getMasterKeyName()`
Get the MasterKeyName child element.
`List<XMLObject>`
`getOrderedChildren()`
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.
`String`
`getRecipient()`
Gets the Recipient attribute.
`ReferenceList`
`getReferenceList()`
Get the ReferenceList child element.
`String`
`getType()`
Gets the Type attribute.
`void`
`setDerivedKeyName(DerivedKeyName name)`
Set the DerivedKeyName child element.
`void`
`setId(String newId)`
Sets the Id attribute.
`void`
`setKeyDerivationMethod(KeyDerivationMethod method)`
Set the KeyDerivationMethod child element.
`void`
`setMasterKeyName(MasterKeyName name)`
Set the MasterKeyName child element.
`void`
`setRecipient(String newRecipient)`
Sets the Recipient attribute.
`void`
`setReferenceList(ReferenceList newReferenceList)`
Set the ReferenceList child element.
`void`
`setType(String newType)`
Sets the Type attribute.

### Methods inherited from class org.opensaml.core.xml.AbstractXMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, manageQualifiedAttributeNamespace, prepareAttributeValueForAssignment, prepareElementContentForAssignment, prepareForAssignment, prepareForAssignment, prepareForAssignment, registerOwnID, releaseChildrenDOM, releaseDOM, releaseParentDOM, releaseThisAndChildrenDOM, releaseThisandParentDOM, resolveID, resolveIDFromRoot, setDOM, setElementNamespacePrefix, setElementQName, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation, setSchemaType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### keyDerivationMethod

@Nullable private KeyDerivationMethod keyDerivationMethod
KeyDerivationMethod child element.

### referenceList

@Nullable private ReferenceList referenceList
ReferenceList child element.

### derivedKeyName

@Nullable private DerivedKeyName derivedKeyName
DerivedKeyName child element.

### masterKeyName

@Nullable private MasterKeyName masterKeyName
MasterKeyName child element.

### recipient

@Nullable private String recipient
Recipient attribute.

### id

@Nullable private String id
Id attribute.

### type

@Nullable private String type
Type attribute.

## Constructor Details

### DerivedKeyImpl

protected DerivedKeyImpl(@Nullable String namespaceURI, @Nonnull String elementLocalName, @Nullable String namespacePrefix)
Constructor.

Parameters:
  `namespaceURI` - namespace URI
  `elementLocalName` - local name
  `namespacePrefix` - namespace prefix

## Method Details

### getKeyDerivationMethod

@Nullable public KeyDerivationMethod getKeyDerivationMethod()
Get the KeyDerivationMethod child element.

Specified by:
  `getKeyDerivationMethod` in interface `DerivedKey`
Returns:
  the element

### setKeyDerivationMethod

public void setKeyDerivationMethod(@Nullable KeyDerivationMethod method)
Set the KeyDerivationMethod child element.

Specified by:
  `setKeyDerivationMethod` in interface `DerivedKey`
Parameters:
  `method` - the key derivation method

### getReferenceList

@Nullable public ReferenceList getReferenceList()
Get the ReferenceList child element.

Specified by:
  `getReferenceList` in interface `DerivedKey`
Returns:
  the element

### setReferenceList

public void setReferenceList(@Nullable ReferenceList newReferenceList)
Set the ReferenceList child element.

Specified by:
  `setReferenceList` in interface `DerivedKey`
Parameters:
  `newReferenceList` - the list

### getDerivedKeyName

@Nullable public DerivedKeyName getDerivedKeyName()
Get the DerivedKeyName child element.

Specified by:
  `getDerivedKeyName` in interface `DerivedKey`
Returns:
  the element

### setDerivedKeyName

public void setDerivedKeyName(@Nullable DerivedKeyName name)
Set the DerivedKeyName child element.

Specified by:
  `setDerivedKeyName` in interface `DerivedKey`
Parameters:
  `name` - the key name

### getMasterKeyName

@Nullable public MasterKeyName getMasterKeyName()
Get the MasterKeyName child element.

Specified by:
  `getMasterKeyName` in interface `DerivedKey`
Returns:
  the element

### setMasterKeyName

public void setMasterKeyName(@Nullable MasterKeyName name)
Set the MasterKeyName child element.

Specified by:
  `setMasterKeyName` in interface `DerivedKey`
Parameters:
  `name` - the key name

### getRecipient

@Nullable public String getRecipient()
Gets the Recipient attribute.

Specified by:
  `getRecipient` in interface `DerivedKey`
Returns:
  the recipient

### setRecipient

public void setRecipient(@Nullable String newRecipient)
Sets the Recipient attribute.

Specified by:
  `setRecipient` in interface `DerivedKey`
Parameters:
  `newRecipient` - the recipient

### getId

@Nullable public String getId()
Gets the Id attribute.

Specified by:
  `getId` in interface `DerivedKey`
Returns:
  the id

### setId

public void setId(@Nullable String newId)
Sets the Id attribute.

Specified by:
  `setId` in interface `DerivedKey`
Parameters:
  `newId` - the id

### getType

@Nullable public String getType()
Gets the Type attribute.

Specified by:
  `getType` in interface `DerivedKey`
Returns:
  the type

### setType

public void setType(@Nullable String newType)
Sets the Type attribute.

Specified by:
  `setType` in interface `DerivedKey`
Parameters:
  `newType` - the type

### getOrderedChildren

@Nullable @Unmodifiable @NotLive public List<XMLObject> getOrderedChildren()
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.

Specified by:
  `getOrderedChildren` in interface `XMLObject`
Returns:
  ordered list of child elements